Package org.springframework.security.acls.model

# Interface AclCache

All Known Implementing Classes:
  `SpringCacheBasedAclCache`

public interface AclCache
A caching layer for `JdbcAclService`.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCache()`
`void`
`evictFromCache(Serializable pk)`
`void`
`evictFromCache(ObjectIdentity objectIdentity)`
`MutableAcl`
`getFromCache(Serializable pk)`
`MutableAcl`
`getFromCache(ObjectIdentity objectIdentity)`
`void`
`putInCache(MutableAcl acl)`

## Method Details

### evictFromCache

void evictFromCache(Serializable pk)

### evictFromCache

void evictFromCache(ObjectIdentity objectIdentity)

### getFromCache

MutableAcl getFromCache(ObjectIdentity objectIdentity)

### getFromCache

MutableAcl getFromCache(Serializable pk)

### putInCache

void putInCache(MutableAcl acl)

### clearCache

void clearCache()